libzypp: zyppng::sat::detail::DIWrap Class Reference

libzypp 17.38.10

zyppng::sat::detail::DIWrap Class Reference

Wrapper around sat `detail::CDataiterator`. More...

`#include <zypp/ng/sat/lookupattr.h>`

## Public Member Functions
| DIWrap ()
| `NULL` `detail::CDataiterator`
| DIWrap (detail::CPool *pool, RepoIdType repoId_r, SolvableIdType solvId_r, IdType attrId_r, std::string mstring_r=std::string(), int flags_r=0)
| Initializes.
| DIWrap (detail::CPool *pool, RepoIdType repoId_r, SolvableIdType solvId_r, IdType attrId_r, const char *mstring_r, int flags_r=0)
| DIWrap (const DIWrap &rhs)
| ~DIWrap ()
void | swap (DIWrap &rhs) noexcept
DIWrap & | operator= (const DIWrap &rhs)
void | reset ()
| operator bool () const
| Evaluate in a boolean context ( _dip != NULL ).
detail::CDataiterator * | operator-> () const
detail::CDataiterator * | get () const
detail::CPool * | pool () const
const std::string & | getstr () const

## Private Attributes
detail::CDataiterator * | _dip
detail::CPool * | _pool
std::string | _mstring

## Detailed Description

Wrapper around sat `detail::CDataiterator`.

Manages copy and assign, and release of allocated resources like datamatcher inside the dataiterator. Also maintains a copy of the matchstring in order to keep the char* passed to the dataiterator valid.

Definition at line 293 of file lookupattr.h.

## Constructor & Destructor Documentation

## ◆ DIWrap() [1/4]

zyppng::sat::detail::DIWrap::DIWrap | ( |  | ) |
| inline

`NULL` `detail::CDataiterator`

Definition at line 297 of file lookupattr.h.

## ◆ DIWrap() [2/4]

zyppng::sat::detail::DIWrap::DIWrap | ( | detail::CPool * | pool,
|  | RepoIdType | repoId_r,
|  | SolvableIdType | solvId_r,
|  | IdType | attrId_r,
|  | std::string | mstring_r = std::string(),
|  | int | flags_r = 0 )

Initializes.

Definition at line 274 of file lookupattr.cc.

## ◆ DIWrap() [3/4]

zyppng::sat::detail::DIWrap::DIWrap | ( | detail::CPool * | pool,
|  | RepoIdType | repoId_r,
|  | SolvableIdType | solvId_r,
|  | IdType | attrId_r,
|  | const char * | mstring_r,
|  | int | flags_r = 0 )

Definition at line 284 of file lookupattr.cc.

## ◆ DIWrap() [4/4]

zyppng::sat::detail::DIWrap::DIWrap | ( | const DIWrap & | rhs | ) |

Definition at line 294 of file lookupattr.cc.

## ◆ ~DIWrap()

zyppng::sat::detail::DIWrap::~DIWrap | ( |  | ) |

Definition at line 307 of file lookupattr.cc.

## Member Function Documentation

## ◆ swap()

void zyppng::sat::detail::DIWrap::swap | ( | DIWrap & | rhs | ) |
| inlinenoexcept

Definition at line 310 of file lookupattr.h.

## ◆ operator=()

DIWrap & zyppng::sat::detail::DIWrap::operator= | ( | const DIWrap & | rhs | ) |
| inline

Definition at line 319 of file lookupattr.h.

## ◆ reset()

void zyppng::sat::detail::DIWrap::reset | ( |  | ) |
| inline

Definition at line 325 of file lookupattr.h.

## ◆ operator bool()

zyppng::sat::detail::DIWrap::operator bool | ( |  | ) | const
| inlineexplicit

Evaluate in a boolean context ( _dip != NULL ).

Definition at line 329 of file lookupattr.h.

## ◆ operator->()

detail::CDataiterator * zyppng::sat::detail::DIWrap::operator-> | ( |  | ) | const
| inline

Definition at line 333 of file lookupattr.h.

## ◆ get()

detail::CDataiterator * zyppng::sat::detail::DIWrap::get | ( |  | ) | const
| inline

Definition at line 334 of file lookupattr.h.

## ◆ pool()

detail::CPool * zyppng::sat::detail::DIWrap::pool | ( |  | ) | const
| inline

Definition at line 335 of file lookupattr.h.

## ◆ getstr()

const std::string & zyppng::sat::detail::DIWrap::getstr | ( |  | ) | const
| inline

Definition at line 336 of file lookupattr.h.

## Member Data Documentation

## ◆ _dip

detail::CDataiterator* zyppng::sat::detail::DIWrap::_dip
| private

Definition at line 339 of file lookupattr.h.

## ◆ _pool

detail::CPool* zyppng::sat::detail::DIWrap::_pool
| private

Definition at line 340 of file lookupattr.h.

## ◆ _mstring

std::string zyppng::sat::detail::DIWrap::_mstring
| private

Definition at line 341 of file lookupattr.h.

The documentation for this class was generated from the following files:

- zypp/ng/sat/lookupattr.h
- zypp/ng/sat/lookupattr.cc